import './trinkets/trinkets.js'
import './trinkets/trinketsInv.js'
import './trinkets/main.js'
import './ar_loots.js'
import './loots.js'
import './masks.js'
import './tool.js'
import './armor.js'
import './bleeding.js'
import { EquipmentSlot } from '@minecraft/server';
import { DamageItem } from "./gametests/damage_item";
import { afterEvents, Vector } from "./gametests/extras";

afterEvents.itemUseOn.subscribe(({ source }) => DamageItem(source, source.equippable.getEquipmentSlot(EquipmentSlot.Mainhand)));
afterEvents.playerBreakBlock.subscribe(({ player }) => DamageItem(player, player.equippable.getEquipmentSlot(EquipmentSlot.Mainhand)));