import { world, ItemStack } from "@minecraft/server";
import { Vector } from "./trinkets/Vector3";

const DropData = [
    {
        family: [ "mob" ],
        chance: 0.9,
        loot: "minecraft:gold_nugget"
    }
];

world.afterEvents.entityDie.subscribe(s=>{
    const { deadEntity, damageSource } = s;
    let attacker = damageSource.damagingEntity

    if (attacker?.typeId == 'minecraft:player') {
        if (attacker.hasTag('arena:midas_finger_talisman')) {
    if(Math.random() < 0.5 && s.deadEntity.typeId != "minecraft:player"){
        for(let data of DropData){
            if(Math.random() > data.chance) continue;
            if(data.type == undefined || (data.type != undefined && s.deadEntity.typeId == data.type)){
                if(data.family != undefined){
                    let match = {
                        families: data.family
                    };
                    if(s.deadEntity.matches(match)){
                        s.deadEntity.dimension.spawnItem(new ItemStack(data.loot, 1), Vector.add(s.deadEntity.location, {
                            x: Math.random()-0.5,
                            y: 0,
                            z: Math.random()-0.5
                        }));
                        break;
                    }
                }else{
                    s.deadEntity.dimension.spawnItem(new ItemStack(data.loot, 1), Vector.add(s.deadEntity.location, {
                        x: Math.random()-0.5,
                        y: 0,
                        z: Math.random()-0.5
                    }));
                    break;
                }
            }
        }
    }
}}});